Subject: Re: rm -R reports "circular reference"
From: [email-masked] (robert k lewis)

20 Mar 1998 05:47:09 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Dean C Wills" <[email-masked]>, <[email-masked]>

Try this....
As others have said, MS-DOS, Windows 9X and the Win32 subsystem of NT
treat CON.* as a reserved name for the console. It is mapped into the
DosDevices namespace of the NT Object Manager. To delete files of this
type, you must bypass the Win32 subsystem's file name checking
routines. This may be done by referencing the file with \\.\<FULLPATH>
or \\?\<FULLPATH>. Either the NT 'del' command or the gnu-win32 'rm'
command will work provided you do this.

Examples:
* del \\?\C:\dir\con.c
* rm //?/C:/dir/con.c
* rm \\\\?\\C:\\dir\\con.c

-----Original Message-----
From: Dean C Wills <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday, March 18, 1998 1:25 AM
Subject: Re: rm -R reports "circular reference"

>I would run scandisk to make sure it is not a real error first. You might
>really have a circular reference. See if deltree(win95 command) deletes the
>directory.
>
>-----Original Message-----
>From: Weiqi Gao <[email-masked]>
>To: [email-masked] <[email-masked]>
>Date: Sunday, March 15, 1998 4:47 PM
>Subject: rm -R reports "circular reference"
>
>
>>Hi,
>>
>>I encountered an error while trying to "rm -R" a directory tree.  rm
>>reports "circular reference" in the directory structure.
>>
>>I seem to remember seeing such errors being discussed, but couldn't find
>>the details of when such error would occur.
>>
>>BTW.  The directory tree I tried to delete was the one created by "MS
>>Media Manager" from the MS Visual Studio 97 Enterprise Edition.
>>
>>--
>>Weiqi Gao
>>[email-masked]
>>-
>>For help on using this list (especially unsubscribing), send a message to
>>"[email-masked]" with one line of text: "help".
>>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".